{% load static %}
<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!--Arquivos Javascript remoto-->
  <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.3.1.js"></script>

  <!--Arquivos CSS remotos-->
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/icon?family=Material+Icons">

  <!--Arquivos CSS locais-->
  <!--<link rel='stylesheet' type='text/css' href="{% static 'css/topnav.css' %}">-->
  <link rel='stylesheet' type='text/css' href="{% static 'css/trippin_post_copy.css' %}">
</head>

<body>
  <!--Menu superior-->
  <ul class="topnav">
    <li class="active"><a href="{% url 'register_human_user' %}">Cadastro de Usuários</a></li>
    <li><a href="{% url 'register_hotel_user' %}">Cadastro de Hoteis</a></li>
    <li><a href="{% url 'register_restaurant_user' %}">Cadastro de Restaurantes</a></li>
    <li><a href="{% url 'register_attraction_user' %}">Cadastro de Atrações</a></li>
    <li class="logout"><a href="{% url 'login_user' %}">Login</a></li>
  </ul>

  <!--Titulo e logo-->
  <div>
    <h1>
      <br>
      <center>
      <img src="{% static 'img/logo.jpeg' %}" style="width:10%" class="center"></center>    
      <br>
      Cadastro de Usuários
    </h1>
  </div>

  <!--Formulario de cadastro de usuario-->
  <form class="form" method="POST" enctype="multipart/form-data">
    <ul>
      <h2>
        Cadastre-se aqui!
      </h2>

      {% csrf_token %}
      {{ form.as_p }}

      <li>
        <input type="text" class="field-style field-full align-none" placeholder="Username" name="human_username" required>
        <input type="text" class="field-style field-full align-none" placeholder="Adress" name="human_adress" required>
        <input type="text" class="field-style field-full align-none" placeholder="Birthday" name="human_birthday" required>
        <input type="text" class="field-style field-full align-none" placeholder="Email" name="human_email" required>
        <input type="password" class="field-style field-full align-none" placeholder="Password/Valor minimo de 8 caracteres" name="human_password" required>
        <input type="file" name="human_image" placeholder="Image">
        {{ form.as_p }}

        {% for message in messages %}
          <div class="alert alert-danger" style="text-align: center;">
            {{ message }}
          </div>
        {% endfor %}
      <li>
        <input type="submit" value="Cadastre-se" name="register"/>
      </li>

    </ul>
  </form>
</body>
</html>

<style>
  /* Titulo e logo da Globo */
h1
{
  text-transform: uppercase;
  font-family: 'Open Sans Condensed', sans-serif;
  color: #9b1111;
  font-size: 24px;
  font-weight: 100;
  text-align: center;
  padding: 20px;
  margin: -30px -30px 30px -30px;
}

/* Menu de navegacao superior */
.topnav
{
  overflow: hidden;
  background-color: #B4B4B7;
  list-style-type: none;
  margin: 0 0;
  padding: 0 0;
}

.center {
  display:block;
  margin-left: auto;
  margin-right: auto;
}

.topnav li {
  float: left;
}

.topnav a
{
  display: block;
  color: #ffffff;
  text-align: center;
  padding: 14px 10px;
  text-decoration: none;
  font-size: 16px;
}

.topnav a:hover
{
  background-color: #373ca0;
  color: #ffffff;
}

.topnav li.active
{
  background-color: #a1c1d3;
  color: #ffffff;
  margin: 0 25px;
  border-radius: 10px;
  text-align: left;
}

.topnav li.logout
{
  background-color: #373ca0;
  color: white;
  float: right;
}

img {
    display: block;
    margin-left: 0;
    margin-right: -430px;
    border-right: -10px;
    padding: 0 0;
  }

</style>
